Bug 419811 - coredump
coredump
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: apt (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-11 09:33 EST by Zdenek Kabelac
Modified: 2008-01-12 04:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-12 04:17:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2007-12-11 09:33:46 EST
Description of problem:

With current state of rawhide packages I've got this core dump:


Core was generated by `apt-get upgrade'.
Program terminated with signal 11, Segmentation fault.
#0  0x00000035e30524e1 in std::_Rb_tree<std::string, std::pair<std::string
const, std::string>, std::_Select1st<std::pair<std::string const, std::string>
>, std::less<std::string>, std::allocator<std::pair<std::string const,
std::string> > >::lower_bound ()
   from /usr/lib64/libapt-pkg.so.3
(gdb) bt
#0  0x00000035e30524e1 in std::_Rb_tree<std::string, std::pair<std::string
const, std::string>, std::_Select1st<std::pair<std::string const, std::string>
>, std::less<std::string>, std::allocator<std::pair<std::string const,
std::string> > >::lower_bound ()
   from /usr/lib64/libapt-pkg.so.3
#1  0x00000035e30537d8 in std::map<std::string, std::string,
std::less<std::string>, std::allocator<std::pair<std::string const, std::string>
> >::operator[] () from /usr/lib64/libapt-pkg.so.3
#2  0x00000035e30510fc in InstHashProgress::Update () from
/usr/lib64/libapt-pkg.so.3
#3  0x00000035e30502e0 in InstHashProgress::Done () from /usr/lib64/libapt-pkg.so.3
#4  0x00000035e3052d04 in InstHashProgress::~InstHashProgress () from
/usr/lib64/libapt-pkg.so.3
#5  0x00000035e30c2f97 in pkgPackageManager::DoInstall () from
/usr/lib64/libapt-pkg.so.3
#6  0x000000000040b323 in __gxx_personality_v0 ()
#7  0x000000000040d8c6 in __gxx_personality_v0 ()
#8  0x00000035e3044e8a in CommandLine::DispatchArg () from
/usr/lib64/libapt-pkg.so.3
#9  0x000000000040dd99 in __gxx_personality_v0 ()
#10 0x000000333f81e074 in __libc_start_main () from /lib64/libc.so.6
#11 0x00000000004063f9 in __gxx_personality_v0 ()
#12 0x00007fffb92d3888 in ?? ()
#13 0x0000000000000000 in ?? ()

Version-Release number of selected component (if applicable):

apt-0.5.15lorg3.93-4.fc9.x86_64

How reproducible:
I'm not sure - in general - 
apt-get update
but might be hard to replicate with different set of packages

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Panu Matilainen 2008-01-08 02:58:05 EST
Are you able to reproduce that at will? In any case, knowing what packages were
in the transaction when it crashed and which package it was installing when it
crashed might help figuring this out. You're hitting some corner case in the new
progress meter code, I'm not terribly surprised that there are bugs but quick
eyeballing the code didn't reveal anything immediately obvious...
Comment 2 Panu Matilainen 2008-01-08 14:02:43 EST
Never mind, I found a reproducer while testing something else. Fixed upstream
now, new release should happen Real Soon Now... 

In the meantime, you should be able to avoid the crash by setting this in
/etc/apt/apt.conf:

RPM::GPG-Check "false";

The bug has nothing to do with GPG checking as such, it's just that the gpg
check failing (as rawhide is mostly not signed) triggered a silly corner case.
Comment 3 Panu Matilainen 2008-01-12 04:17:29 EST
Fixed in 0.5.15lorg3.94-1.fc9 in rawhide...

Note You need to log in before you can comment on or make changes to this bug.